Package twisted :: Package cred :: Module credentials :: Class IUsernamePassword

[frames | no frames]

## Class IUsernamePassword

    Interface --+
                |
     ICredentials --+
                    |
                   IUsernamePassword

I encapsulate a username and a plaintext password.

This encapsulates the case where the password received over the network has been hashed with the identity function (That is, not at all). The CredentialsChecker may store the password in whatever format it desires, it need only transform the stored password in a similar way before performing the comparison.

Method Summary
| ``checkPassword`(self, password)` Validate these credentials against the correct password.

Instance Variable Summary
`str` | `password`: The password associated with these credentials.
`str` | `username`: The username associated with these credentials.

Class Variable Summary
Inherited from ICredentials
| `__implements__`: Implementors _must_ provide an __implements__ attribute which contains at least the list of sub-interfaces of ICredentials to which it conforms.

Method Details

### checkPassword(self, password)

Validate these credentials against the correct password.

  Parameters:
    `password` - The correct, plaintext password against which to check.
  Returns:
    a deferred which becomes, or a boolean indicating if the password matches.

Instance Variable Details

### password

The password associated with these credentials.

  Type:
    `str`

### username

The username associated with these credentials.

  Type:
    `str`

Generated by Epydoc 2.0 on Sat May 15 20:08:37 2004 | http://epydoc.sf.net